# Uses of Class
org.apache.lucene.codecs.uniformsplit.BlockHeader.Serializer

Packages that use BlockHeader.Serializer
Package
Description
org.apache.lucene.codecs.uniformsplit
Pluggable term index / block terms dictionary implementations.

- ## Uses of BlockHeader.Serializer in org.apache.lucene.codecs.uniformsplit

  Fields in org.apache.lucene.codecs.uniformsplit declared as BlockHeader.Serializer
  Modifier and Type
  Field
  Description
  `protected BlockHeader.Serializer`
  BlockReader.`blockHeaderReader`
  `protected final BlockHeader.Serializer`
  BlockWriter.`blockHeaderWriter`
  Methods in org.apache.lucene.codecs.uniformsplit that return BlockHeader.Serializer
  Modifier and Type
  Method
  Description
  `protected BlockHeader.Serializer`
  BlockReader.`createBlockHeaderSerializer()`
  `protected BlockHeader.Serializer`
  BlockWriter.`createBlockHeaderSerializer()`